Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.asn1
Class ParSet

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.pqc.asn1.ParSet

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class ParSet
extends ASN1Object

ParSet ::= SEQUENCE { T INTEGER h SEQUENCE OF INTEGER w SEQUENCE OF INTEGER K SEQUENCE OF INTEGER }

Constructor Summary
`ParSet(int t, int[] h, int[] w, int[] k)`

Method Summary
`int[]` | `getH()`
`static ParSet` | `getInstance(java.lang.Object o)`
`int[]` | `getK()`
`int` | `getT()`
`int[]` | `getW()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParSet

    public ParSet(int t,
                  int[] h,
                  int[] w,
                  int[] k)

Method Detail

### getInstance

    public static ParSet getInstance(java.lang.Object o)

### getT

    public int getT()

### getH

    public int[] getH()

### getW

    public int[] getW()

### getK

    public int[] getK()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD